Subject: [manet] draft-ietf-manet-aodvv2-11 review

From: <[email-masked]>
Date: Fri, 24 Jul 2015 19:57:44 +0000

All,

Having worked with aodv back in the early days (2002-2003 era) and implemented it in glomosim and linux back then, I am glad to see aodvv2 advancing towards last call.

I’ve reviewed draft 11 and have a few comments.  None of these are protocol issues, but draft writing that either needs clarification or consistency improvements.

- multi-homing: Is this implying that a Router Client can only have 1 network interface and only 1 IP address?  What happens if it has, say 2 radios, but is not willing to forward packets for another node?  It would help to have a strong definition of what “multi-homing” means or maybe say a bit more in the definition of a Router Client.

- Comparing sequence numbers.  Section 4.4 says you wrap from 65535 to 1, but all the sections that I saw comparing sequence numbers just use “>” or “<“ or “=“.  For example, Sec 6.5.1 bullet #2 “Compare sequence numbers” does not address wrap-around.  How do you handle comparing wrap-around?  The old aodv spec had a section on that.  Is it RFC 1982?  If it’s defined somewhere and I missed it?  I think sec 4.4 should define this.

- Section 6.3 says “In its default mode of operation…” what’s the other mode besides RFC5444?

- Section 6.3 says “When multiple interfaces are available, a node…” This should be clarified if it means both a router  and client or just router (see comments on clarifying multi-homing).

- Section 7.1.2 bullet #2 says “Verify the message hop count, if included, hasn’t exceeded MAX_HOPCOUNT.”  However, D.2.2 does not include that check.  It’s done in D.2.3 Regenerate_RREQ (which is described in 7.1.3).

- Section 7.2.2 bullet #2 on MAX_HOPCOUNT for RREP has parallel inconsistency with D.3.2 and D.3.3.

- D.2.3 Regenerate_RREQ decrements the inRREQ.HopLimit, but I did not see in Receive_RREQ that is assures the inRREQ.HopLimit is positive.  Well-behaving nodes should never send a RREQ with a 0 hop limit due to rules in Regenerate_RREQ, but if a misbehaving node does it will cause a math issue possibly wrapping around to some large positive number.

- D.3.3 Regenerate_RREP probably has the same issue.

Marc Mosko

On Jul 22, 2015, at 9:00 PM, [email-masked]<mailto:[email-masked]> wrote:

Send manet mailing list submissions to
[email-masked]<mailto:[email-masked]>

To subscribe or unsubscribe via the World Wide Web, visit
https://www.ietf.org/mailman/listinfo/manet
or, via email, send a message with subject or body 'help' to
[email-masked]

You can reach the person managing the list at
[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of manet digest..."
Today's Topics:

  1. I-D Action: draft-ietf-manet-aodvv2-11.txt
     ([email-masked])

From: <[email-masked]>
Subject: [manet] I-D Action: draft-ietf-manet-aodvv2-11.txt
Date: July 22, 2015 at 5:07:47 PM GMT+2
To: <[email-masked]>
Cc: <[email-masked]>

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Mobile Ad-hoc Networks Working Group of the IETF.

       Title           : Ad Hoc On-demand Distance Vector (AODVv2) Routing
       Authors         : Charles E. Perkins
                         Stan Ratliff
                         John Dowdell
                         Lotte Steenbrink
                         Victoria Mercieca
Filename        : draft-ietf-manet-aodvv2-11.txt
Pages           : 101
Date            : 2015-07-22

Abstract:
  The revised Ad Hoc On-demand Distance Vector (AODVv2) routing
  protocol is intended for use by mobile routers in wireless, multihop
  networks.  AODVv2 determines unicast routes among AODVv2 routers
  within the network in an on-demand fashion, offering rapid
  convergence in dynamic topologies.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-manet-aodvv2/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-manet-aodvv2-11

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-manet-aodvv2-11

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet